//*****************************************************************
//	 Copyright, IDAutomation.com, Inc. All rights reserved.
//*****************************************************************

import java.io.*;
import com.idautomation.qrcode.QRCode;
import com.idautomation.qrcode.encoder.*;

class QRCodeImageGeneratorExample {

    public static void main ( String [] args )
    {
        String type;
        String fileName;
        barCodeEncoder bce;
        String dataToEncode = "www.IDAutomation.com";
        boolean applyTilde = true;         // use ~ for special encoding
        String encodingMode = "Byte";      // "Byte", "Alpha", "numeric"
        int version = 1;                   // [-4 .. 40], -4 = M1, -3 = M2, -2 = M3, -1 = M4
        String errorCorrectionLevel = "M"; // "M", L", "Q", "H"
        boolean bestMask = true;           // Best pattern mask
        double XDimension = .1;            // Size of the symbol
        QRCode qr=new QRCode();
        qr.setBackground(java.awt.Color.white);
        qr.setForeground(java.awt.Color.black);

        qr=new QRCode();        
        qr.setDataToEncode(dataToEncode);
        qr.setApplyTilde(applyTilde);
        qr.setEncodingMode(encodingMode);
        qr.setErrorCorrectionLevel(errorCorrectionLevel);
        qr.setBestMask(bestMask);
        qr.setVersion(version);
        qr.setXDimensionCM(XDimension);

        type = "JPEG";
        fileName = "QRCodeImageGeneratorExample.jpg";
        bce = new barCodeEncoder(qr, type, fileName);

        type = "GIF";
        fileName = "QRCodeImageGeneratorExample.gif";
        bce = new barCodeEncoder(qr, type, fileName);

        type = "SVG";
        fileName = "QRCodeImageGeneratorExample.svg";
        bce = new barCodeEncoder(qr, type, fileName);

        type = "EPS";
        fileName = "QRCodeImageGeneratorExample.eps";
        bce = new barCodeEncoder(qr, type, fileName);

    }
    
}
